using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability371.Domain;

public class TaobaoTbkItemInfoUpgradeGetTbkItemDetail
{

    /*
        商品ID
    */
    private string? itemId;


    /*
        淘客推广信息
    */
    private TaobaoTbkItemInfoUpgradeGetPublishInfo? publishInfo;


    /*
        价格促销信息
    */
    private TaobaoTbkItemInfoUpgradeGetPromotionInfoMapData? pricePromotionInfo;


    /*
        输入的（新）商品ID
    */
    private string? inputItemIid;


    /*
        商品基本信息
    */
    private TaobaoTbkItemInfoUpgradeGetBasicMapData? itemBasicInfo;


    /*
        预售信息
    */
    private TaobaoTbkItemInfoUpgradeGetPresaleInfo? presaleInfo;



    [JsonPropertyName("item_id")]
    public string? ItemId
    {
        get => itemId;
        set => this.itemId = value;
    }

    [JsonPropertyName("publish_info")]
    public TaobaoTbkItemInfoUpgradeGetPublishInfo? PublishInfo
    {
        get => publishInfo;
        set => this.publishInfo = value;
    }

    [JsonPropertyName("price_promotion_info")]
    public TaobaoTbkItemInfoUpgradeGetPromotionInfoMapData? PricePromotionInfo
    {
        get => pricePromotionInfo;
        set => this.pricePromotionInfo = value;
    }

    [JsonPropertyName("input_item_iid")]
    public string? InputItemIid
    {
        get => inputItemIid;
        set => this.inputItemIid = value;
    }

    [JsonPropertyName("item_basic_info")]
    public TaobaoTbkItemInfoUpgradeGetBasicMapData? ItemBasicInfo
    {
        get => itemBasicInfo;
        set => this.itemBasicInfo = value;
    }

    [JsonPropertyName("presale_info")]
    public TaobaoTbkItemInfoUpgradeGetPresaleInfo? PresaleInfo
    {
        get => presaleInfo;
        set => this.presaleInfo = value;
    }

}

